Bug 217480 - gtk2hs does not build in development
gtk2hs does not build in development
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gtk2hs (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-27 22:54 EST by Jens Petersen
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-17 18:57:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2006-11-27 22:54:49 EST
Description of problem:
gtk2hs/devel/ does not currently build:

http://buildsys.fedoraproject.org/logs/fedora-development-extras/21829-gtk2hs-0.9.10.2-0.1.fc7/i386/build.log
 Structs.hsc:780:0:
    error: attempt to take address of bit-field structure member 'level'
 
It builds fine for FC6:
http://buildsys.fedoraproject.org/logs/fedora-6-extras/21836-gtk2hs-0.9.10.2-0.1.fc6/i386/build.log

Jakub suggested to preprocess the file on both fc6 and fc7 and compare the
results in case gtk2 headers changed perhaps.
Comment 1 Kevin Fenzi 2006-12-30 20:15:16 EST
Note that your buildsys links are gone now (housekeeping on the build servers I
guess). 

I see the following in trying a mock build on devel/x86_64:

/usr/bin/ar cru libHScairo.a cairo/Graphics/Rendering/Cairo.o
cairo/Graphics/Rendering/Cairo/Matrix.o cairo/Graphics/Rendering/Cairo/Types.o
cairo/Graphics/Rendering/Cairo/Internal.o
cairo/Graphics/Rendering/Cairo/Internal/Drawing/Cairo.o
cairo/Graphics/Rendering/Cairo/Internal/Drawing/Paths.o
cairo/Graphics/Rendering/Cairo/Internal/Drawing/Patterns.o
cairo/Graphics/Rendering/Cairo/Internal/Drawing/Text.o
cairo/Graphics/Rendering/Cairo/Internal/Drawing/Transformations.o
cairo/Graphics/Rendering/Cairo/Internal/Fonts/FontOptions.o
cairo/Graphics/Rendering/Cairo/Internal/Surfaces/Image.o
cairo/Graphics/Rendering/Cairo/Internal/Surfaces/PNG.o
cairo/Graphics/Rendering/Cairo/Internal/Surfaces/Surface.o
cairo/Graphics/Rendering/Cairo/Internal/Utilities.o
ranlib libHScairo.a
/usr/bin/ghc-6.6 +RTS -RTS -c gtk/Graphics/UI/Gtk.hs -o gtk/Graphics/UI/Gtk.o -O
-fffi -fno-warn-duplicate-exports -igtk -package-conf package.conf.inplace
-hide-all-packages -ignore-package gtk -package base -package haskell98 -package
mtl -package glib-0.9.10.2 -package cairo-0.9.10.2 -package-name gtk-0.9.10.2
'-#include<gtk/gtk.h>' -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include
-I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include
-I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/cairo
-I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/atk-1.0

gtk/Graphics/UI/Gtk.hs:217:0:
    Failed to load interface for `Graphics.UI.Gtk.General.General':
      Use -v to see a list of the files searched for.
make[1]: *** [gtk/Graphics/UI/Gtk.o] Error 1
make[1]: Leaving directory `/builddir/build/BUILD/gtk2hs-0.9.10.2'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.26712 (%build)
Comment 2 Jens Petersen 2007-01-17 18:57:34 EST
Finally built now without any changes. <shrug/>

Note You need to log in before you can comment on or make changes to this bug.